# SPEC file for Calculator extension

%define rname	calculator
%define version 1.1.7
%define release alt3
%define cid 	\{AA052FD6-366A-4771-A591-0D8DC551585D\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Calculator plugin for Firefox
Summary(ru_RU.UTF-8): расширение Calculator для Firefox

License:	GPL
Group:		Networking/WWW
URL:		http://calculator.mozdev.org/index.html
BuildArch:	noarch

Packager:       Nikolay A. Fetisov <naf@altlinux.ru>

Source0:	%rname-%version-fx.xpi
Source1:	%name.chrome.manifest

BuildRequires(pre):     rpm-build-firefox
BuildRequires:  unzip
Requires: 	%firefox_name = %firefox_version


%description 	
Calculator is an  extension for Mozilla and Firefox. It has an 
interface similar to Microsoft Powertoy Calculator. And it's a
great open source replacement to the calculator included in 
Windows accessories.

%prep
%setup -c

%install
mkdir -p -- %buildroot/%ciddir
cp -r -- * %buildroot/%ciddir
install -- %SOURCE1 %buildroot/%ciddir/chrome.manifest

%postun
%firefox_uninstall_extension %cid
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Fri Aug 03 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.7-alt3
- Rebuild for Firefox 2.0.0.6

* Sat Jul 21 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.7-alt2
- Rebuild for Firefox 2.0.0.5

* Thu Jul 05 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.7-alt1
- New version

* Mon May 07 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.6-alt1
- New version
  - better compatibility with latest Firefox version

* Tue Mar 13 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.5-alt2
- Rebuild for Firefox 2.0.0.2

* Mon Jan 08 2007 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.5-alt1
- New version 1.1.5
  - bug fix for power symbol
  - bug fix for hexadecimal conversion

* Mon Dec 04 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.4-alt1
- New version 1.1.4
  - compatibility improvements
- Rebuild for Firefox 2.0
  - removes obsolete macros
  - replace 'set_firefox_noarch' macro with 'BuildArch' tag

* Sun Sep 24 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.2-alt3
- Rebuild for Firefox 1.5.0.7
    
* Wed Aug 09 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.2-alt2
- Rebuild for Firefox 1.5.0.6

* Sun Jul 23 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.2-alt1
- New version 1.1.2
- Adding chrome.manifest

* Thu Jun 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.1.0-alt1.1.1
- NMU: rebuild with firefox 1.5.0.4

* Sun May 21 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.2-alt0
- New version 1.1.2
  * new conversions, new languages
  * precision bug fixed
  * better compatibility with other extensions

* Mon May 15 2006 Alexey Gladkov <legion@altlinux.ru> 1.1.0-alt1.1
- NMU: rebuild with firefox 1.5.0.3

* Sat Jan 07 2006 Nikolay A. Fetisov <naf@altlinux.ru> 1.1.0-alt1
- New version 1.1.0:
  * new GUI
  * history is now saved between sessions

* Mon Dec 19 2005 Alexey Gladkov <legion@altlinux.ru> 1.0.3-alt1.1
- rebuild with firefox-1.5
- spec changes:
  * BuildRequires fix;
  * ghost file added;
  * new macros was used to fix multiarch problem.

* Tue Nov 22 2005 Nikolay A. Fetisov <naf@altlinux.ru> 1.0.3-alt1
- Initial build for ALTLinux Sisyphus


